package no.ubicollab.osgi.service.datastorage;

import java.io.FileNotFoundException;

public interface DataStorageService {
	
	public boolean storeData(String username, String appName, String fileName, byte[] data);
	
	public boolean deleteData(String username, String appName, String fileName);
	
	public byte[] retrieveData(String username, String appName, String fileName) throws FileNotFoundException;
	
	public String[] listFileNames(String username, String appName);
	
	public String[] listAppNames(String username);
}
