using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Login.CollaborationService;

namespace Login
{
    public partial class Form1 : Form
    {
        private CollaborationImplService CollaborationService;
        public Form1()
        {
            InitializeComponent();
            CollaborationService = new CollaborationImplService();
            CollaborationService.Url = "http://127.0.0.1:8080/axis/services/collaborationService";
            string[] args = Environment.GetCommandLineArgs();
            if (args.Length == 2)
                refreshCollabList(args[1]);
        }
        
        private void refreshCollabList(string username)
        {
            label1.Text = "Welcome " + username;
            string[] collabids = CollaborationService.getPersonsCollaborationInstances(username);
            if (collabids != null)
            {
                listBox1.Items.Clear();
                foreach (string id in collabids)
                {
                    listBox1.Items.Add(CollaborationService.getCollabInstName(id));
                }
            }
        }
        
        /*
        private void refreshCollabListDebug(string username)
        {
            label1.Text = "Welcome " + username;
            listBox1.Items.Clear();
            listBox1.Items.Add(username);
            listBox1.Items.Add("ID1");
        }
        */ 
    }
}