using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RFID_registry_app
{
    public partial class Form1 : Form
    {
        private RFID_scanner rfid;

        public Form1()
        {
            InitializeComponent();
            /*No need to read from file anymore. DiscoveryService allways at 127.0.0.1
            FileAccess fileAccess = new FileAccess();
            string discoveryServiceUrl = fileAccess.ReadLineAndClose();
            if (discoveryServiceUrl != null)
                dsUrl.Text = discoveryServiceUrl;
            */ 
            rfid = new RFID_scanner(this/*, fileAccess*/);
        }

        private void connectButton_Click(object sender, EventArgs e)
        {
            if (rfid.Connect())
                connectButton.Text = "Disconnect";
            else
                connectButton.Text = "Connect";
        }

        public string DiscServiceUrl
        {
            get
            {
                return dsUrl.Text;
            }
            set
            {
                dsUrl.Text= value;
            }
        }

        private void Form1_Closing(object sender, CancelEventArgs e)
        {
            rfid.DisconnectAndClose();
        }
    }
}