package no.ubicollab.osgi;

import java.io.*;

public class FileAccess {
	
	private String filepath;

	public FileAccess()
	{
		filepath = "locationServiceData.txt";
	}

	public FileAccess(String filepath)
	{
		this.filepath = filepath;
	}
	
	public boolean writeObjectAndClose(Object o){
		try{
			FileOutputStream ostream = new FileOutputStream(filepath);
			ObjectOutputStream p = new ObjectOutputStream(ostream);
			p.writeObject(o);
	
			p.flush();
			ostream.close();
			return true;
		}
		catch (Exception e){
			System.out.println("<LocationService>Error writing to file");
			return false;
		}

	}
	public Object readObjectAndClose()
	{
		try{
			FileInputStream istream = new FileInputStream(filepath);
			ObjectInputStream p = new ObjectInputStream(istream);

			Object o = p.readObject();
			istream.close();
			return o;

		}
		catch (Exception e){
			System.out.println("<LocationService>Error reading from file");
			return null;
		}
	}
}
