package no.ubicollab.osgi;

import java.util.*;
import org.osgi.framework.*;
import no.ubicollab.osgi.service.login.*;

public class Activator implements BundleActivator  {
    
    public void start(BundleContext context) {
        Properties properties = new Properties();
        properties.put("Language", "English");
        properties.put("SOAP.service.name", "loginService");
        context.registerService(LoginService.class.getName(), new LoginImpl(), properties);
    }
    
    public void stop(BundleContext context) {
        // Service is automatically unregistered
    }
    
}
