package no.ubicollab.osgi;

import java.util.*;
import org.osgi.framework.*;

import no.ubicollab.osgi.service.pocketdiscovery.*;

public class Activator implements BundleActivator {
    
    public void start(BundleContext context) {
        Properties properties = new Properties();
        properties.put("Language", "English");
        properties.put("SOAP.service.name", "pocketDiscoveryService");
        context.registerService(PocketDiscoveryService.class.getName(), new PocketDiscoveryImpl(), properties);
    }
    
    public void stop(BundleContext context) {
        // Service is automatically unregistered
    }
    
}
