package no.ubicollab.osgi;

import java.io.*;

public class FileAccess {
	
	private String filepath;

	public FileAccess()
	{
		filepath = "discoveryServiceUrl.txt";
	}

	public FileAccess(String filepath)
	{
		this.filepath = filepath;
	}
	
	public boolean writeLineAndClose(String txt){
		PrintWriter pw;
		try {
			pw = new PrintWriter(new BufferedWriter(new FileWriter(filepath)));
			pw.println(txt);
			pw.close();
			return true;
		} catch (IOException e) {
			e.printStackTrace();
			return false;
		}
	}
	public String readLineAndClose()
	{
		try
		{
			BufferedReader br = new BufferedReader(new FileReader(filepath));
			String line = br.readLine();
			br.close();
			return line;
		}
		catch (Exception e)
		{
			System.out.println("Exception in FileAccess read " + e.getMessage());
			return null;
		}
	}
}
