package no.ubicollab.osgi;

/**
 * Wrapper class for plugins
 * @author Andreas Brustad
 *
 */

public class Plugin {
	
	public String descriptionUrl;
	public String type;
	public PositioningPluginService proxy;
	
	public Plugin(String descUrl,String type, PositioningPluginService proxy){
		this.descriptionUrl=descUrl;
		this.type=type;
		this.proxy=proxy;
	}
	
	public double[] getPosition(String username){
		try{
			return proxy.getPosition(username);
		}
		catch(Exception e){
			System.out.println("<PositioningService>Exception invoking getPosition on plugin");
			return null;
		}
	}
}
