using System;
using System.Collections.Generic;
using System.Collections;
using System.Text;
using System.IO;
using System.Windows.Forms;

namespace DataStorageServiceTester
{
    class FileAccess
    {
        public FileAccess()
        {
        }

        public static byte[] ReadFile(string fileName)
        {
            ArrayList bytelist = new ArrayList();
            if (File.Exists(fileName))
            {
                BinaryReader binReader =
                    new BinaryReader(File.Open(fileName, FileMode.Open));
                try
                {
                    // If the file is not empty, 
                    // read the application settings.
                    //while (binReader.PeekChar() != -1)
                    while(true)
                    {
                        bytelist.Add(binReader.ReadByte());
                    }


                }

                // If the end of the stream is reached before reading
                // the four data values, ignore the error and use the
                // default settings for the remaining values.
                catch (EndOfStreamException)
                {
                    Console.WriteLine("End of stream exception");
                }
                finally
                {
                    binReader.Close();
                }
            }
            byte[] byteArray = new byte[bytelist.Count];
            bytelist.CopyTo(byteArray);
            //MessageBox.Show("Read "+byteArray.Length+" number of bytes");
            return byteArray;
        }

        public static void WriteFile(string fileName, byte[] data)
        {
            using (BinaryWriter binWriter =
                new BinaryWriter(File.Open(fileName, FileMode.Create)))
            {
                binWriter.Write(data);
            }
        }
    }
}
