<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="content-type" content="text/html; charset=utf-8"/>
    <title>UbiCollab PositioningService Map</title>

    <?php
	$personData = file_get_contents("http://129.241.102.206:8080/axis/services/collaborationService?method=getAllPersons");
	$dom = new DomDocument;
	$dom->preserveWhiteSpace = FALSE;
	$dom->loadXML($personData);
	$items = $dom->getElementsByTagName('item');
	$persons = array();
	for ($i = 0; $i < $items->length; $i++) {
   		$person = $items->item($i)->firstChild->nodeValue;
		$positionData  = file_get_contents("http://129.241.102.201:8080/axis/services/positioningService?method=getPosition&username=".$person);
		$dom = new DomDocument;
		$dom->preserveWhiteSpace = FALSE;
		$dom->loadXML($positionData);
		$position = $dom->getElementsByTagName('item');
		$longitude = $position->item(0)->firstChild->nodeValue;
		$latitude  = $position->item(1)->firstChild->nodeValue;
		$persons[($i*3)] = $person;
		$persons[($i*3)+1] = $latitude;
		$persons[($i*3)+2] = $longitude;
	}
	$personsLength = count($persons);
    	
    ?> 
    
    <script src="http://maps.google.com/maps?file=api&amp;v=2&amp;key=**INSERT YOUR OWN KEY HERE**"
      type="text/javascript"></script>
    <script type="text/javascript">

    

    function load() {
      if (GBrowserIsCompatible()) {
        var map = new GMap2(document.getElementById("map"));
	map.addControl(new GSmallMapControl());
	map.addControl(new GMapTypeControl());
	map.setCenter(new GLatLng(63.41699, 10.401756666666667), 13);
	
	function createPersonHtml(person) {
		var html = person + " " + '<img src="' + person + '.jpg" alt="' + person + '" height= />';
		return html;
	}
	
	function createMarker(point, person) {
		var marker = new GMarker(point);
		GEvent.addListener(marker, "click", function() {
			marker.openInfoWindowHtml(createPersonHtml(person));
		});
		return marker;
	}
	
	var persons = new Array(); 
	<?php
		foreach ($persons as $person) {
			echo "persons.push(\"$person\");";
		}
	?>	
	for (var i = 0; i < persons.length / 3; i++) {
		var person    	= persons[i*3];
		var latitude  	= persons[i*3+1];
		var longitude	= persons[i*3+2];
	
		var point = new GLatLng(latitude, longitude);
		map.addOverlay(createMarker(point, person));
		
	}
	
	
      }
    }

    
    </script>
  </head>
  <body onload="load()" onunload="GUnload()">
    <div id="map" style="width: 800px; height: 600px"></div>
  </body>
</html>
