using System;
using System.Collections.Generic;
using System.Text;
using PowerPointCtrl2.SlideshowService;

namespace PowerPointCtrl2
{
    class SlideshowServiceWrapper
    {
        private string url;
        private SlideshowImplService proxy;

        public SlideshowServiceWrapper(String url)
        {
            this.url = url;
            proxy = new SlideshowImplService();
            proxy.Url = url;
        }

        public void PreviousSlide()
        {
            proxy.previousSlide();
        }
        public void NextSlide()
        {
            proxy.nextSlide();
        }
        public void StartSlideShow()
        {
            proxy.startSlideshow();
        }
        public void StopSlideShow()
        {
            proxy.stopSlideshow();
        }

        public override string ToString()
        {
            return url;
        }

    }
}
