using System;
using System.Collections.Generic;
using System.Text;
using PowerPointCtrl3.SlideshowService;

namespace PowerPointCtrl3
{
    class SlideshowServiceWrapper
    {
        private string url;
        private SlideshowImplService proxy;

        public SlideshowServiceWrapper(String url)
        {
            this.url = url;
            proxy = new SlideshowImplService();
            proxy.Url = url;
        }

        public void PreviousSlide()
        {
            proxy.previousSlide();
        }
        public void NextSlide()
        {
            proxy.nextSlide();
        }
        public void StartSlideShow(string username, string appName, string fileName)
        {
            if(username!=null && appName!=null && fileName!=null)
                proxy.startSlideshow(username, appName, fileName);
        }
        public void StopSlideShow()
        {
            proxy.stopSlideshow();
        }

        public override string ToString()
        {
            return url;
        }

    }
}
