using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Windows.Forms;

namespace RFID_registry_app
{
    class FileAccess
    {
        private string filepath;


        public FileAccess()
        {
            filepath = @"\discoveryServiceUrl.txt";
        }
        
        public FileAccess(String filepath)
        {
            this.filepath = filepath;
        }

        public bool WriteLineAndClose(string txt)
        {
            try
            {
                StreamWriter sw = new StreamWriter(filepath);
                sw.WriteLine(txt);
                sw.Close();
                return true;
            }
            catch (Exception e)
            {
                MessageBox.Show("Exception in FileAccess write: " + e.Message);
                return false;
            }
        }

        public string ReadLineAndClose()
        {
            try
            {
                StreamReader sr = new StreamReader(filepath);
                string line = sr.ReadLine();
                sr.Close();
                return line;
            }
            catch (Exception e)
            {
                MessageBox.Show("Exception in FileAccess read: " + e.Message);
                return null;
            }
        }
    }
}
