using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Windows.Forms;
using System.Collections;

namespace RegisterLocation
{
    class FileAccess
    {
        private string filepath;


        public FileAccess()
        {
            filepath = "regLoc.txt";
        }

        public FileAccess(String filepath)
        {
            this.filepath = filepath;
        }

        public bool StoreToFile(string[] posDat)
        {
            try
            {
                StreamWriter sw = new StreamWriter(filepath);
                foreach (string pos in posDat)
                {
                    sw.WriteLine(pos);
                }
                sw.Close();
                return true;
            }
            catch (Exception e)
            {
                MessageBox.Show("Exception in FileAccess write: " + e.Message);
                return false;
            }
        }

        public ArrayList ReadFromFile()
        {
            try
            {
                StreamReader sr = new StreamReader(filepath);
                ArrayList list = new ArrayList();
                String line;
                while( (line = sr.ReadLine())!=null){
                    list.Add(line);
                }
                sr.Close();
                return list;
            }
            catch (Exception e)
            {
                MessageBox.Show("Exception in FileAccess read: " + e.Message);
                return null;
            }
        }
    }
}
